Bug 797735 - glusterfsd crash
glusterfsd crash
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-27 02:28 EST by Saurabh
Modified: 2016-01-19 01:09 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa33
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-02-27 02:28:48 EST
Description of problem:


found this core, with glusterfsd crash,

Missing separate debuginfos, use: debuginfo-install glibc-2.12-1.25.el6_1.3.x86_64 libgcc-4.4.5-6.el6.x86_64
(gdb) bt
#0  0x000000340b60c100 in pthread_spin_lock () from /lib64/libpthread.so.0
#1  0x00007f69815fa26e in fd_ref (fd=0xd2c780) at fd.c:453
#2  0x00007f69815ecfc1 in fop_flush_stub (frame=0x7f69804021a4, fn=0x7f697cc30d65 <iot_flush_wrapper>, fd=0xd2c780)
    at call-stub.c:1018
#3  0x00007f697cc30fea in iot_flush (frame=0x7f69804021a4, this=0xceeff0, fd=0xd2c780) at io-threads.c:973
#4  0x00007f69815d983f in default_flush (frame=0x7f69804020f8, this=0xcf0280, fd=0xd2c780) at defaults.c:894
#5  0x00007f697c7f7998 in io_stats_flush (frame=0x7f698040204c, this=0xcf19b0, fd=0xd2c780) at io-stats.c:2120
#6  0x00007f697c5c1bda in server_connection_destroy (this=0xcf2e10, conn=0xd2bac0) at server-helpers.c:744
#7  0x00007f697c5c2108 in server_connection_put (this=0xcf2e10, conn=0xd2bac0) at server-helpers.c:842
#8  0x00007f697c5b8b6c in grace_time_handler (data=0xd2bac0) at server.c:54
#9  0x00007f69815e35f4 in gf_timer_proc (ctx=0xcb4010) at timer.c:177
#10 0x000000340b6077e1 in start_thread () from /lib64/libpthread.so.0
#11 0x000000340aee577d in clone () from /lib64/libc.so.6
(gdb) 


[root@RHSSA1 .glusterfs]# /root/330/inst/sbin/gluster volume info
 
Volume Name: dist-rep
Type: Distributed-Replicate
Volume ID: 616f341b-eb78-4bab-814d-217e5a00d503
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.1.11.160:/export-xfs/dr
Brick2: 10.1.11.159:/export-xfs/drr
Brick3: 10.1.11.160:/export-xfs/ddr
Brick4: 10.1.11.159:/export-xfs/ddrr
Options Reconfigured:
nfs.addr-namelookup: off

cores generated on "10.1.11.159"



Version-Release number of selected component (if applicable):

[root@RHSSA1 .glusterfs]# /root/330/inst/sbin/glusterfs -V
glusterfs 3.3.0qa24 built on Feb 24 2012 05:39:02
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@RHSSA1 .glusterfs]# 

How reproducible:

found two similar cores

Steps to Reproduce:
1.just observed the cores generated on one of the nodes.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-03-01 23:24:22 EST
think the patch http://review.gluster.com/2806 should be fixing it. please try 3.3.0qa25 and let me know.
Comment 2 Amar Tumballi 2012-03-12 05:46:49 EDT
please update these bugs w.r.to 3.3.0qa27, need to work on it as per target milestone set.
Comment 3 Amar Tumballi 2012-03-12 08:54:12 EDT
closing as per comment 1, server connection cleanup should fix it.
Comment 4 Saurabh 2012-04-04 08:19:46 EDT
didn't find this crash in the recent tests.

Note You need to log in before you can comment on or make changes to this bug.